Page MenuHomePhabricator

Convert Blueprint to core's HTML templating
Closed, ResolvedPublic

Description

Blueprint (and OOUIPlayground) use a few server-side HTML templates supported by local vendor/{lightncandy,werdnum/mediawiki-lightncandy-skin,werdnum/simple-lightncandy} libraries. MediaWiki core (since release 1.25) supports mustache HTML templates and includes lightncandy, so we should try to migrate Blueprint to core's implementation.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
OpenNone
ResolvedNone
OpenNone
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolved Spage
OpenNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
OpenNone
OpenNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
ResolvedJdlrobson
ResolvedNone

Event Timeline

Spage created this task.Jul 3 2015, 2:18 AM
Spage raised the priority of this task from to Normal.
Spage updated the task description. (Show Details)
Spage added a project: Blueprint.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 2:18 AM
Prtksxna added a subscriber: Prtksxna.
Prtksxna raised the priority of this task from Normal to High.Jul 3 2015, 4:37 AM
Prtksxna moved this task from Backlog to Next Up on the Blueprint board.Jul 3 2015, 4:40 AM

Change 223165 had a related patch set uploaded (by Spage):
[WIP] switch to core's server-side HTML templating

https://gerrit.wikimedia.org/r/223165

Spage claimed this task.EditedJul 7 2015, 5:21 PM
Spage added a project: ECT-July-2015.

My Blueprint patch works, but requires a change to core T97188 (merged).

Spage moved this task from Backlog to Doing on the ECT-July-2015 board.Jul 7 2015, 5:23 PM
Qgil changed the task status from Open to Stalled.Aug 8 2015, 12:51 PM
Qgil lowered the priority of this task from High to Normal.
Qgil set Security to None.
Qgil added a subscriber: Qgil.

My Blueprint patch works, but requires a change to core T97188 (merged).

I have translated this in "Stalled".

@Spage

Screenshot shows, that the account menu link looses its text content at PS7.

Paladox added a subscriber: Paladox.Sep 1 2015, 9:38 AM

Hi that is fixed in the patch I upload d that is why I changed the width.

Volker_E renamed this task from convert Blueprint to core's HTML templating to Convert Blueprint to core's HTML templating.Sep 24 2015, 1:58 AM

Change 223165 merged by VolkerE:
Switch to core's server-side HTML templating

https://gerrit.wikimedia.org/r/223165

Volker_E closed this task as Resolved.Oct 15 2015, 1:31 AM
Volker_E moved this task from Needs Review / Feedback to Done on the Blueprint board.
Volker_E removed a project: Patch-For-Review.